function [MarkovChain,options_,params]=AdaMetropolis(TargetFun,xparam,vv,mh_bounds,options_,varargin)


if isempty(vv)
    vv=(xparam*0.05).^2
    vv(vv==0)=1;
    vv=diag(vv);
end
    
options_=CreateOptions(options_);


[params,options_]=CreateParams(xparam, mh_bounds,options_);
data=varargin{1}{2};
options_.mh_ssfun=TargetFun;

options_.mh_incov=vv;
[MarkovChain,params,options_]=AdaMCMC(data, params,options_);


